# Generated by Django 4.1 on 2022-08-16 20:18

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("accounts", "0012_alter_ifpuser_display_picture"),
    ]

    operations = [
        migrations.CreateModel(
            name="MailingList",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(max_length=200)),
                ("email", models.EmailField(max_length=254, unique=True)),
            ],
        ),
        migrations.AddField(
            model_name="ifpuser",
            name="mailing_lists",
            field=models.ManyToManyField(
                blank=True,
                null=True,
                to="accounts.mailinglist",
                verbose_name="Mailing List Membership",
            ),
        ),
    ]
